Page MenuHomePhabricator

Setup configurable logging support for ORES
Closed, ResolvedPublic

Description

So that we can send logs into logstash. Need to identify the best way todo this - @GWicke suggested using gelf / graylog2.

Event Timeline

yuvipanda assigned this task to Halfak.
yuvipanda raised the priority of this task from to High.
yuvipanda updated the task description. (Show Details)

Need to setup a logstash instance inside the ORES project...

DarTar moved this task from Staged to Radar on the Research board.Aug 13 2015, 4:39 AM
Halfak removed Halfak as the assignee of this task.Sep 17 2015, 10:18 PM
Halfak set Security to None.
Halfak added a subscriber: Halfak.

@yuvipanda, do you still think that we want the logstash within the ORES project? What would I need to do in the ORES/revscoring code to make this work?

Just bring able to set the logging config (https://docs.python.org/2/library/logging.config.html) via a config file is probably enough

Halfak lowered the priority of this task from High to Normal.Sep 30 2015, 8:01 PM
Halfak claimed this task.Oct 2 2015, 6:00 PM
Halfak renamed this task from Setup centralized logging support for ORES to Setup configurable logging support for ORES.Oct 16 2015, 5:54 PM
Halfak closed this task as Resolved.Nov 19 2015, 11:45 PM